Disaster Recovery Configs - Fail Over
Invokes GEO DR failover and reconfigure the alias to point to the secondary namespace
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.EventHub/namespaces/{namespaceName}/disasterRecoveryConfigs/{alias}/failover?api-version=2024-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
alias
|
path | True |
string minLength: 1maxLength: 50 |
The Disaster Recovery configuration name |
|
namespace
|
path | True |
string minLength: 6maxLength: 50 pattern: ^[a-zA-Z][a-zA-Z0-9-]{6,50}[a-zA-Z0-9]$ |
The Namespace name |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Name of the resource group within the azure subscription. |
|
subscription
|
path | True |
string |
Subscription credentials that uniquely identify a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client API Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Failover operation is successful. |
|
| Other Status Codes |
Eventhub error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
EHAliasFailOver
Sample request
POST https://management.azure.com/subscriptions/exampleSubscriptionId/resourceGroups/exampleResourceGroup/providers/Microsoft.EventHub/namespaces/sdk-Namespace-8859/disasterRecoveryConfigs/sdk-DisasterRecovery-3814/failover?api-version=2024-01-01
Sample response
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response indicates Event Hub service is not able to process the incoming request. The reason is provided in the error message. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response indicates Event Hub service is not able to process the incoming request. The reason is provided in the error message.
| Name | Type | Description |
|---|---|---|
| error |
The error object. |